Page MenuHomePhabricator

[Task] add CI to extension ArticlePlaceholder
Closed, ResolvedPublic

Description

That means for qunit and phpunit jobs to work Wikibase and Scribunto need to be added as a dependency. Adding the dependency on Wikibase requires that T112572 is solved before it will work.

Adding a composer-test job is independend of that, but needs a change in the extension repo before the job works.

TODO:

  • fix T112572
  • fix extension dependencies
  • correct phpunit jobs
  • add qunit job
  • add composer-test job

Done:

  • npm

Details

Related Gerrit Patches:
integration/config : masteradd all the composer based jobs to ext:ArticlePlaceholder
mediawiki/extensions/ArticlePlaceholder : masterAdd .jshint
integration/config : master[ArticlePlaceholder] Update jenkins tests
integration/config : masterAdd jenkins tests for ArticlePlaceholder

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
Resolvedhoo
Resolvedthiemowmde
DeclinedNone
ResolvedAddshore
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

JanZerebecki raised the priority of this task from to High.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 4:00 PM
hashar renamed this task from [Task] add CI to ext:ArticlePlaceholder to [Task] add CI to extension ArticlePlaceholder.Sep 18 2015, 7:49 PM
hashar moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.
hashar set Security to None.

Change 239671 had a related patch set uploaded (by Paladox):
[ArticlePlaceholder] Add jenkings tests

https://gerrit.wikimedia.org/r/239671

Change 239671 merged by jenkins-bot:
Add jenkins tests for ArticlePlaceholder

https://gerrit.wikimedia.org/r/239671

Will this extension depend on Wikibase? Certainly on Scribunto.

Also missing are probably jobs for: npm, composer, qunit

@JanZerebecki should I add dependence on Scribunto and Wikibase. Also should I add the composer-test and npm test. If I add the qunit test would it work.

Paladox removed a subscriber: gerritbot.
Lucie added a subscriber: Lucie.Sep 28 2015, 1:50 PM

It does depend on Wikibase Client and Scribunto.
@JanZerebecki we can have a look on it together if needed! :)

That means for qunit and phpunit jobs to work Wikibase and Scribunto need to be added as a dependency. Adding the dependency on Wikibase requires that T112572 is solved before it will work.

Adding composer-test and npm jobs is independend of that, but need a change in the extension repo before the jobs work.

Change 243409 had a related patch set uploaded (by Lucie Kaffee):
Add .jshint

https://gerrit.wikimedia.org/r/243409

Change 243412 had a related patch set uploaded (by Paladox):
[ArticlePlaceholder] Update jenkins tests

https://gerrit.wikimedia.org/r/243412

Change 243409 merged by jenkins-bot:
Add .jshint

https://gerrit.wikimedia.org/r/243409

Change 243412 merged by jenkins-bot:
[ArticlePlaceholder] Update jenkins tests

https://gerrit.wikimedia.org/r/243412

hashar added a subscriber: hashar.Oct 5 2015, 12:46 PM

Seems good now isn't it ?

JanZerebecki updated the task description. (Show Details)Oct 5 2015, 1:35 PM

Not yet, I updated the description with what still needs to be done.

Lucie moved this task from Broader tickets to Incoming on the ArticlePlaceholder board.
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Nov 11 2015, 1:27 PM

Change 252457 had a related patch set uploaded (by JanZerebecki):
add all the composer based jobs to ext:ArticlePlaceholder

https://gerrit.wikimedia.org/r/252457

Change 252457 merged by jenkins-bot:
add all the composer based jobs to ext:ArticlePlaceholder

https://gerrit.wikimedia.org/r/252457

I'm running into T103346 with this.

JanZerebecki moved this task from Backlog to Review on the Wikidata-Sprint-2015-11-03 board.
daniel added a subscriber: daniel.Nov 16 2015, 11:31 AM

Pending review (probably by @Lucie): https://gerrit.wikimedia.org/r/#/c/252458/ "Add composer.json from BoilerPlate" on ArticlePlaceholder.

Lucie closed this task as Resolved.Nov 19 2015, 12:34 PM
Lucie moved this task from To Do Next to Done on the ArticlePlaceholder board.